Bootstrap functionality for the planetflow slice - to give it access to the host...
Sapan Bhatia [Mon, 25 Feb 2008 15:51:26 +0000 (15:51 +0000)]
authorized_keys [new file with mode: 0644]
pf2slice-initscript [new file with mode: 0644]

diff --git a/authorized_keys b/authorized_keys
new file mode 100644 (file)
index 0000000..637b21b
--- /dev/null
@@ -0,0 +1 @@
+ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEAwM8mbqk22qw9oBQgnnzOyB7vaY/s+KF9ZlX9LY4alRAf45jNm0oq0ANhfRsnRrLoaO2FPEb6FkoO6OKZkt3WqSvaz/Mbyg0EZ5SUAVYUBliNXEbBBA+geGR5E7lW5sAfqiXpJkVgHbphDUFZfhuxVwE9wCvqyNnMVEDTSLlIXkAcHyqZQH36lEqZxyn3CjigKOXiH3vyM1NuNMlggfs7phL4pw0lZ3Y44afzWegUtlp+eAnJzL/g9yDug98bfaDghbiDoSWwwVfdJs+V9kQcU6z2nXh9uKhDiBpiEc8EAEPCkiCh6B7j7KWbI7H6SeRP1ClP5l7q86INHgzvZnTg2Q== sapan@joyce
diff --git a/pf2slice-initscript b/pf2slice-initscript
new file mode 100644 (file)
index 0000000..81860cc
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# chkconfig: 2345 56 25
+# description: planetflow slice initscript
+#
+
+PROC=fprobe-ulog
+
+. /etc/rc.d/init.d/functions
+
+case "$1" in
+    start)
+        echo -n "starting the planetflow slice:"
+       echo "pf" > /vsys/pfmount
+        echo
+        ;;
+
+    *)
+        echo "Usage: $0 {start|stop|restart|status}"
+        RETVAL=1
+esac
+
+exit $RETVAL